Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QSizeGrip Class Reference

The QSizeGrip class provides a corner-grip for resizing a top-level window. More...

    #include <QSizeGrip>

Inherits QWidget.

- List of all members, including inherited members
- Obsolete members

### Writable Properties

- 33 writable properties inherited from QWidget
- 1 writable property inherited from QObject

### Read-Only Properties

- 20 read-only properties inherited from QWidget

### Public Functions

- QSizeGrip ( QWidget * parent )
- ~QSizeGrip ()
- virtual QSize sizeHint () const

- 92 public functions inherited from QWidget
- 26 public functions inherited from QObject
- 10 public functions inherited from QPaintDevice

### Public Slots

- 16 public slots inherited from QWidget
- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject

### Protected Functions

- virtual bool event ( QEvent * )
- virtual void mouseMoveEvent ( QMouseEvent * e )
- virtual void mousePressEvent ( QMouseEvent * e )
- virtual void paintEvent ( QPaintEvent * e )

- 42 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

## Detailed Description

The QSizeGrip class provides a corner-grip for resizing a top-level window.

This widget works like the standard Windows resize handle. In the X11 version this resize handle generally works differently from the one provided by the system; we hope to reduce this difference in the future.

Put this widget anywhere in a widget tree and the user can use it to resize the top-level window. Generally, this should be in the lower right-hand corner. Note that QStatusBar already uses this widget, so if you have a status bar (e.g. you are using QMainWindow), then you don't need to use this widget explicitly.

See also QStatusBar.

## Member Function Documentation

### QSizeGrip::QSizeGrip ( QWidget * parent )

Constructs a resize corner as a child widget of parent.

### QSizeGrip::~QSizeGrip ()

Destroys the size grip.

### bool QSizeGrip::event ( QEvent * ) `[virtual protected]`

### void QSizeGrip::mouseMoveEvent ( QMouseEvent * e ) `[virtual protected]`

Resizes the top-level widget containing this widget. The event is in e.

Reimplemented from QWidget.

### void QSizeGrip::mousePressEvent ( QMouseEvent * e ) `[virtual protected]`

Primes the resize operation. The event is in e.

Reimplemented from QWidget.

### void QSizeGrip::paintEvent ( QPaintEvent * e ) `[virtual protected]`

Paints the resize grip. Resize grips are usually rendered as small diagonal textured lines in the lower-right corner. The event is in e.

Reimplemented from QWidget.

### QSize QSizeGrip::sizeHint () const `[virtual]`

Returns the size grip's size hint; this is a small size.

Reimplemented from QWidget.